RUN-PARTS(8)

NOM
run-parts - exécute les scripts ou les exécutables d'un répertoire

SYNOPSIS

run-parts [--test] [--verbose] [--report] [--lsbsysinit][--regex=RE] [--umask=umask] [--arg=argument] [--exit-on-error] [--help] [--version] [--list] [--reverse] [--] répertoire

run-parts -V

DESCRIPTION

run-parts exécute tous les fichiers exécutables situés dans répertoire, et dont le nom satisfait les contraintes décrites ci-dessous. Les autres fichiers sont ignorés.

Si ni l'option --lsbsysinit ni l'option --regex n'est pas utilisée, alors les noms ne doivent être constitués que de lettres minuscules ou majuscules, de chiffres, de tirets de soulignement (« underscore ») ou de tirets.

Si l'option --lsbsysinit est utilisée, alors les noms ne doivent pas se terminer par « .dpkg-old », « .dpkg-dist », « .dpkg-new » ou « .dpkg-tmp » et doivent appartenir à un (ou plusieurs) des ensembles de noms suivants : noms spécifiés par LANANA (^[a-z0-9]+$) ; les noms hiérarchiques et réservés par LSB (^_?([a-z0-9_.]+-)+[a-z0-9]+$) ; les noms des scripts cron définis par Debian (^[a-z0-9][a-z0-9-]*$).

If the --regex option is given, the names must match the custom extended regular expression specified as that option's argument.

Les fichiers sont exécutés dans l'ordre lexicographique de leur nom à moins que l'option --reverse ne soit utilisée, auquel cas ils sont exécutés dans l'ordre inverse.

OPTIONS

--test
    affiche le nom des scripts qui seront exécutés, mais ne les exécute pas.

--list
    affiche le nom de tous les fichiers dont le nom satisfait les contraintes (pas uniquement les exécutables), mais ne les exécute pas. Cette option ne peut pas être utilisée en conjonction de l'option --test.

-v, --verbose
    affiche le nom de chaque script sur la sortie d'erreur avant de l'exécuter.

--report
    similaire à --verbose, mais n'affiche que le nom des scripts qui produisent une sortie. Le nom du script est affiché soit sur la sortie standard, soit sur la sortie d'erreur, suivant la sortie utilisée en premier.

--reverse
    inverse l'ordre d'exécution des scripts.

--exit-on-error
    permet de quitter dès qu'un script retourne une valeur non nulle.

--lsbsysinit
    utilise les noms LSB plutôt que le comportement ordinaire.

--new-session
    run each script in a separate process session. If you use this option, killing run-parts will not kill the currently running script, it will run until completion.

--regex=RE
    validate filenames against custom extended regular expression RE. See the EXAMPLES section for an example.

-u, --umask=umask
    positionne le masque de création de fichier (« umask ») à umask avant de lancer les scripts. umask doit être spécifié en octal. Par défaut, le masque utilisé est 022.

-a, --arg=argument
    passe argument aux scripts. Utilisez --arg pour chacun des arguments que vous voulez passer.

--  spécifie la fin des options. Tout nom de fichier situé après -- ne sera pas interprété comme une option, même s'il commence par un tiret.

-h, --help
    affiche un message d'aide puis quitte.

-V, --version
    affiche la version et le copyright, puis quitte.

EXEMPLES

Print the names of all files in /etc that start with `p' and end with `d':

run-parts --list --regex '^p.*d$' /etc

COPYRIGHT

Copyright (C) 1994 Ian Jackson.

Copyright (C) 1996 Jeff Noxon.

Copyright (C) 1996, 1997, 1998 Guy Maor

Copyright (C) 2002, 2003, 2004, 2005, 2006, 2007 Clint Adams

run-parts est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a pas de garantie.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 8 décembre 2005.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.

N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.